Loading...
Searching...
No Matches
coap_event.c File Reference

Event handling. More...

`#include "coap3/coap_internal.h"`
Include dependency graph for coap_event.c:

Go to the source code of this file.

## Functions

void | coap_register_event_handler (coap_context_t *context, coap_event_handler_t hnd)
| Registers the function `hnd` as callback for events from the given CoAP context `context`.
void | coap_set_event_handler (coap_context_t *context, coap_event_handler_t hnd)
| Registers the function `hnd` as callback for events from the given CoAP context `context`.
void | coap_clear_event_handler (coap_context_t *context)
| Clears the event handler registered with `context`.

## Detailed Description

Event handling.

Definition in file coap_event.c.

## Function Documentation

## coap_clear_event_handler()

void coap_clear_event_handler | ( | coap_context_t * | context | ) |

Clears the event handler registered with `context`.

Deprecated:
  Use coap_register_event_handler() instead with NULL for handler.

Parameters

  context | The CoAP context whose event handler is to be removed.

Definition at line 36 of file coap_event.c.

## coap_set_event_handler()

void coap_set_event_handler | ( | coap_context_t * | context,
|  | coap_event_handler_t | hnd
| ) |  |

Registers the function `hnd` as callback for events from the given CoAP context `context`.

Any event handler that has previously been registered with `context` will be overwritten by this operation.

Deprecated:
  Use coap_register_event_handler() instead.

Parameters

  context | The CoAP context to register the event handler with.
  hnd | The event handler to be registered.

Definition at line 30 of file coap_event.c.